sybase_fetch_array
sybase_fetch_field
Sybase Functions
PHP Manual

# sybase_fetch_assoc

Fetch a result row as an associative array

### Description

array sybase_fetch_assoc ( resource `$result` )

sybase_fetch_assoc is a version of sybase_fetch_row that uses column names instead of integers for indices in the result array. Columns from different tables with the same names are returned as name, name1, name2, ..., nameN.

An important thing to note is that using sybase_fetch_assoc is NOT significantly slower than using sybase_fetch_row, while it provides a significant added value.

### Parameters

`result`

### Return Values

Returns an array that corresponds to the fetched row, or `FALSE` if there are no more rows.

### Notes

> Note: This function is only available when using the CT library interface to Sybase, and not with the DB library.

### See Also

- sybase_fetch_row
- sybase_fetch_array
- sybase_fetch_object